import { BaseOpenApiV3_1ConverterNode, } from "../../../BaseOpenApiV3_1Converter.node";
import { extendType } from "../../../utils/extendType";
import { X_FERN_BASIC_USERNAME } from "../fernExtension.consts";
export class XFernBasicUsernameVariableNameConverterNode extends BaseOpenApiV3_1ConverterNode {
    usernameVariableName;
    constructor(args) {
        super(args);
        this.safeParse();
    }
    parse() {
        this.usernameVariableName =
            extendType(this.input)[X_FERN_BASIC_USERNAME];
    }
    convert() {
        return this.usernameVariableName;
    }
}
